import { Pipeline } from '@aws-cdk/aws-codepipeline';
import { Role } from '@aws-cdk/aws-iam';
import { Secret } from '@aws-cdk/cdk';
interface StageConfigParams {
    branch: string;
    mode: string;
    owner: string;
    pipeline: Pipeline;
    pipelineLink: string;
    repo: string;
    role: Role;
    ssmSecret: {
        name: string;
        secret: Secret;
    };
}
export declare function getSourceConfig(params: StageConfigParams, index: number): {
    atIndex: number;
    branch: string;
    oauthToken: Secret;
    owner: string;
    pipeline: Pipeline;
    repo: string;
};
export declare function getBuildConfig(params: StageConfigParams, index: number): {
    atIndex: number;
    build: {
        commands: string[];
        finally: string[];
    };
    env: {
        'parameter-store': {
            ACCESS_TOKEN: string;
        };
        variables: {
            BRANCH_NAME: string;
            DEPLOY_MODE: string;
            PIPELINE_DESC: string;
            PIPELINE_STATE: string;
            TARGET_URL: string;
            TEST_PIPELINE_CONTEXT: string;
        };
    };
    install: {
        commands: string[];
        finally: string[];
    };
    pipeline: Pipeline;
    postBuild: {
        commands: string[];
        finally: string[];
    };
    role: Role;
};
export {};
