import 'ts-node/register';
import * as aws from '../aws_sdk_handler';
import { SeagullApp } from '../seagull_app';
interface SeagullProjectProps {
    appPath: string;
    branch: string;
    mode: string;
    profile: string;
    region: string;
    handlers?: {
        acmHandler?: aws.ACMHandler;
        cloudfrontHandler?: aws.CloudfrontHandler;
        stsHandler?: aws.STSHandler;
    };
}
export declare class SeagullProject {
    appPath: string;
    branch: string;
    mode: string;
    pkgJson: any;
    profile: string;
    region: string;
    acm: aws.ACMHandler;
    cloudfront: aws.CloudfrontHandler;
    sts: aws.STSHandler;
    constructor(props: SeagullProjectProps);
    createSeagullApp(): Promise<SeagullApp>;
    customizeStack(app: SeagullApp): Promise<any>;
    getAppName(): string;
    deployProject(): Promise<void>;
    diffProject(): Promise<void>;
    validate(): void;
    getBucketName(): Promise<string>;
}
export {};
